%define module	Crypt-Blowfish
%define name	perl-%{module}
%define version 2.10
%define release %mkrel 5

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl Blowfish encryption module
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
Buildrequires:	 perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Perl module to encrypt using the Blowfish algorithm.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README COPYRIGHT Changes
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*



%changelog
* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.10-5mdv2009.0
+ Revision: 256201
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 2.10-3mdv2008.1
+ Revision: 151458
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-2mdv2008.0
+ Revision: 86236
- rebuild


* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.10-1mdk
- New release 2.10
- spec cleanup
- better source URL, URL, license and summary
- fix directory ownhership
- %%mkrel

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.09-8mdk
- Rebuild for new perl

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.09-7mdk
- 2.09

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.09-6mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro
- quiet setup

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.09-5mdk
- rebuild for new auto{prov,req}

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.09-4mdk
- perl-devel

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.09-3mdk
- rebuild

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.09-2mdk
- Don't hardcore arch in path

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.09-1mdk
- from Daniel Lacroix <dlacroix@erasme.org> :
	- generated by cpan2rpm version 0.1 for Mandrake 9.0

